<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.3.2
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla-code.ru
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */
 
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class SmfaqViewSmfaq extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		require_once( JPATH_COMPONENT.DS.'helpers'.DS.'helper.php' );
		SMfaqHelper::checkCategories() ;

		$model	=& $this->getModel();
		$smfaq		=& $this->get('Data');
		$comments = null;
		$user 	=& JFactory::getUser();
		$isNew		= ($smfaq->id < 1);
		
		// fail if checked out not by 'me'
		if ($model->isCheckedOut( $user->get('id') )) {
			$msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'COM_SMFAQ_QUESTION' ), $smfaq->question );
			$mainframe->redirect( 'index.php?option=com_smfaq', $msg );
		}
		
		$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
		JToolBarHelper::title(JText::_( 'COM_SMFAQ_QUESTION' ).': <small><small>[ ' . $text.' ]</small></small>', 'smfaq' );
		JToolBarHelper::save();
		JToolBarHelper::apply();
		if ($isNew)  {
		} else {
			// for existing items the button is renamed `close`
		}
		
		$datenow =& JFactory::getDate();
		$lists['new'] = false;	
		if ($isNew) {
			JToolBarHelper::cancel();
			$smfaq->created =  $datenow->toMySQL();
			$smfaq->created_by = $user->name;
			$smfaq->created_ans_by = $user->name;
			$smfaq->email = $user->email;
			$lists['new'] = true;
		} else {
			JToolBarHelper::cancel( 'cancel', 'close' );
			$comments		=& $this->get('Comments');		
			if ($smfaq->created_ans == "0000-00-00 00:00:00") {
				$smfaq->created_ans =  null;
			}
			if (!$smfaq->created_ans_by) {
				$smfaq->created_ans_by = $user->name;
			}
			
			if ($smfaq->send_mail) {
				$lists['send_mail'] = '<img border="0" align="left" alt="" src="images/tick.png"/><input style="margin-left:15px;" type="button"  onclick="resetmail()" name="reset_send_mail" value="'. JText::_( 'RESET' ).'" />
';
			} else {
				$lists['send_mail'] = '<img border="0" align="left" alt="" src="images/publish_x.png"/>' ;
			}
		}
		
		if ($smfaq->created_ans == "0000-00-00 00:00:00") {
			$smfaq->created_ans =  null;
		}


		JFilterOutput::objectHTMLSafe( $smfaq );
		// build the html select list
		$lists['catid'] = JHTML::_('list.category', 'catid', 'com_smfaq', intval( $smfaq->catid ) );
		$lists['published'] 		= JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $smfaq->published );
		
		$state_ans[] = JHTML::_('select.option','0', JText::_( 'COM_SMFAQ_ANSWER_WAITING' ) );
		$state_ans[] = JHTML::_('select.option','1', JText::_( 'COM_SMFAQ_ANSWER_NO' ) );
		$state_ans[] = JHTML::_('select.option','2', JText::_( 'COM_SMFAQ_ANSWER_YES' ) );
		$lists['state_ans'] = JHTML::_('select.genericlist',  $state_ans, 'state', '', 'value', 'text', $smfaq->state);

		
		$this->assignRef('smfaq',		$smfaq);
		$this->assignRef('lists',		$lists);
		$this->assignRef('comments',	$comments);

		parent::display($tpl);
	}
}