<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.3.2
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla-code.ru
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

function SmfaqBuildRoute(&$query)
{
	static $items;

	$segments	= array();
	$itemid		= null;

	if (!$items) {
		$component	= &JComponentHelper::getComponent('com_smfaq');
		$menu		= &JSite::getMenu();
		$items		= $menu->getItems('componentid', $component->id);
	}
	
	if (isset($query['id']) && strpos($query['id'], ':')) {
		list($query['id'], $query['alias']) = explode(':', $query['id'], 2);
	}
	
	if (is_array($items))
	{
		// If only the option and itemid are specified in the query, return that item.
		if (!isset($query['view']) && !isset($query['id']) && isset($query['Itemid'])) {
			$itemid = (int) $query['Itemid'];
		}
		
		if (!$itemid)
		{
			foreach ($items as $item)
			{
				// Check if this menu item links to this view.
				if (isset($item->query['view']) && $item->query['view'] == 'category'
					&& isset($item->query['id']) && $item->query['id'] == $query['id'])
				{
					$itemid	= $item->id;
				}
			}
		}
	}
	if (!$itemid)
	{
			foreach ($items as $item)
			{
				if (isset($query['view']) && $query['view'] == 'category' && isset($query['id']))
				{
					$itemid		= (int) $query['Itemid'];
					$segments[]	= isset($query['alias']) ? $query['id'].':'.$query['alias'] : $query['id'];
					break;
				}
				if (isset($query['controller']) && $query['controller'] == 'admin' && isset($query['id']))
				{
					$segments[]	= $query['id'];
					$itemid = null;
					
					break;
				}
			}
	}

	$query['Itemid'] = $itemid;

	// Remove the unnecessary URL segments.
	unset($query['view']);
	unset($query['id']);
	unset($query['alias']);

	return $segments;
}

function SmfaqParseRoute($segments)
{
	$vars	= array();
	
	// Count route segments
	$count = count($segments);

	// Check if there are any route segments to handle.
	if ($count)
	{
		if ($count == 1) {
		// We are viewing a category.
		$vars['view']	= 'category';
		$vars['id']	= $segments[$count-1];
		} else {
			$vars['controller'] = 'admin';	
			$vars['id']	= $segments[$count-1];
		}
	}

	return $vars;
}