<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.1
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla.forsite.org
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'route.php');

class SmfaqViewCategories extends JView
{
	function display( $tpl = null )
	{
		global $mainframe;

		$document =& JFactory::getDocument();

		$categories	=& $this->get('data');
		$total		=& $this->get('total');
		$state		=& $this->get('state');

		// Get the page/component configuration
		$params = &$mainframe->getParams();

		$menus	= &JSite::getMenu();
		$menu	= $menus->getActive();

		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );
			if (!$menu_params->get('page_title')) {
				$params->set('page_title',	JText::_('COM_SMFAQ_SMFAQ'));
			}
		} else {
			$params->set('page_title',	JText::_('COM_SMFAQ_SMFAQ'));
		}

		$document->setTitle( $params->get( 'page_title' ) );


		// Define image tag attributes
		if ($params->get('image') != -1)
		{
			if($params->get('image_align')!="")
				$attribs['align'] = $params->get('image_align');
			else
				$attribs['align'] = '';
			$attribs['hspace'] = 6;

			// Use the static HTML library to build the image tag
			$image = JHTML::_('image', 'images/'.$params->get('image'), JText::_('COM_SMFAQ_SMFAQ'), $attribs);
		}

		for($i = 0; $i < count($categories); $i++)
		{
			$category =& $categories[$i];
			$category->link = JRoute::_(SmfaqHelperRoute::getCategoryRoute($category->slug, null));

			// Prepare category description
			$category->description = JHTML::_('content.prepare', $category->description);
			
		}

		$this->assignRef('image',		$image);
		$this->assignRef('params',		$params);
		$this->assignRef('categories',	$categories);

		parent::display($tpl);
	}
}
